## python-apt 0.8.7ubuntu4

=== debian/changelog ===
python-apt (0.8.7ubuntu4) quantal; urgency=low

  * apt/auth.py:
    - do not fail to import keys that start with "0x" (LP: #1065015)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed, 10 Oct 2012 15:55:55 +0200

python-apt (0.8.7ubuntu3) quantal; urgency=low

  * lp:~mvo/python-apt/recv-key-lp1016643:
    - Only support long (v4) keyids when downloading keys and
      check the keys fingerprint before importing. This avoids
      man-in-the-middle attacks (LP: #1016643)
  * lp:~mvo/python-apt/fix-debfile-crash:
    - fix crash on missing candidates in the multiarch check

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 02 Oct 2012 11:35:02 +0200

python-apt (0.8.7ubuntu2) quantal; urgency=low

  * python/string.cc, tests/test_lp1030278.py: Fix StrSizeToStr() so that
    1) it first checks for PyLong-ness so that in Python 3 on i386, it
    will be able to convert larger numbers (via doubles rather than ints);
    2) before doing the conversions through the apt API, check to see if a
    Python exception occurred, e.g. OverflowError, and return an error
    condition in that case instead of masking it.  (LP: #1030278)

 -- Barry Warsaw <barry@ubuntu.com>  Mon, 01 Oct 2012 18:04:35 -0400

python-apt (0.8.7ubuntu1) quantal; urgency=low

  [ James Hunt ]
  * python/cache.cc: PkgCacheGetIsMultiArch(): Return calculated
    value rather than a random one.

  [ Michael Vogt ]
  * merged fixes from the debian-sid branch

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 01 Oct 2012 13:47:43 +0200

python-apt (0.8.8) UNRELEASED; urgency=low

  [ Program translation updates ]
  * po/pl.po: Polish (Michał Kułach) (closes: #684308)
  
  [ Michael Vogt ]
  * merged lp:~sampo555/python-apt/fix_1042916 reuse existing but
    disabled sources.list entries instead of duplicating them.
    Thanks to "sampo555", LP: #1042916

  [ Barry Warsaw ]
  * python/string.cc, tests/test_lp1030278.py: Fix StrSizeToStr() so that
    1) it first checks for PyLong-ness so that in Python 3 on i386, it
    will be able to convert larger numbers (via doubles rather than ints);
    2) before doing the conversions through the apt API, check to see if a
    Python exception occurred, e.g. OverflowError, and return an error
    condition in that case instead of masking it.  (LP: #1030278)

  [ James Hunt ]
  * python/cache.cc: PkgCacheGetIsMultiArch(): Return calculated
    value rather than a random one.

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 01 Oct 2012 13:30:53 +0200

python-apt (0.8.7) unstable; urgency=low

  [ Translation updates ]
  * po/es.po: Spanish translation updated by Omar Campagne (closes: #679285)
  * po/ja.po: Japanese translation updated by Kenshi Muto (closes: #679652)

  [ Jakub Wilk ]
  * Fix typos: the the -> the (closes: #679432)

  [ Julian Andres Klode ]
  * apt/auth.py:
    - Do not merge stdout and stderr (Closes: #678706)
    - Forward stderr from apt-key to our stderr if non-empty

 -- Julian Andres Klode <jak@debian.org>  Mon, 30 Jul 2012 13:29:17 +0200

python-apt (0.8.6ubuntu1) quantal; urgency=low

  * merged from the debian-sid branch

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 29 Jun 2012 16:05:52 +0200

python-apt (0.8.6) unstable; urgency=low

  [ Michael Vogt ]
  * debian/control:
    - add build-dep for apt (>= 0.9.6) to make test_auth.py test
      work reliable

  [ Colin Watson ]
  * aptsources/*.py, setup.py: Make aptsources modules work directly in
    either Python 2 or 3, and exclude the "future" 2to3 fixer so that 2to3
    doesn't need to modify them.  This makes life a little easier for the
    strange tricks update-manager plays with its dist-upgrader tarball.

  [ Julian Andres Klode ]
  * apt/auth.py:
    - Use tempfile.NamedTemporaryFile to create temporary file
    - Use Popen.communicate() instead of stdin, stdout
  * tests/fakeroot-apt-key:
    - exec apt-key, otherwise we ignore the return value
  * debian/control:
    - Build-depend on fakeroot, needed for the apt.auth tests
  * data/templates/Debian.info.in:
    - Add wheezy
    - Add wheezy-updates as Recommended Updates
    - Order wheezy-proposed-updates after wheezy/updates and wheezy-updates
  * po:
    - Fixup the translations for wheezy again

 -- Michael Vogt <mvo@debian.org>  Fri, 29 Jun 2012 15:57:20 +0200

python-apt (0.8.5~ubuntu2) quantal; urgency=low

  * xz-lzma has been rolled into xz-utils, as of 5.1.1alpha+20120614-1

 -- Adam Conrad <adconrad@ubuntu.com>  Tue, 19 Jun 2012 19:12:18 -0600

python-apt (0.8.5~ubuntu1) quantal-proposed; urgency=low

  * Merge from unreleased Debian branch, remaining changes:
    - drop recommends on python2.6
    - build with COMPAT_0_7, which might still be needed by some code in the
      Ubuntu archive.  We need to scan the archive for this, add liberal
      Breaks, and analyze the dist-upgrader case before disabling.
  * Revert change from lp:~ev/python-apt/dont-leak-fds; as discussed on IRC
    during the Python3 porting sprint, the cure here is worse than the
    disease.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 12 Jun 2012 08:23:06 -0700

python-apt (0.8.5) unstable; urgency=low

  [ Michael Vogt ]
  * python/cache.cc:
    - ensure that pkgApplyStatus is called when the cache is opened
      (thanks to Sebastian Heinlein for finding this bug), LP: #659438

  [ Stéphane Graber ]
  * data/templates/Ubuntu.info.in:
    - add quantal

  [ Steve Langasek ]
  * utils/get_ubuntu_mirrors_from_lp.py: move this script to python3
  * pre-build.sh: call dpkg-checkbuilddeps with the list of our 
    source-build-dependencies; this may save someone else an hour down the
    line scratching their head over gratuitous test-suite failures...
  
  [ Sebastian Heinlein ]
  * lp:~glatzor/python-apt/auth:
    - this is a port of the software-properties AptAuth module to python-apt
      with some cleanups. It provides a wrapper API for the apt-key command

  [ David Prévot ]
  * po/*.po: update PO files against current POT file

