## python-apt 0.8.7ubuntu4.1

=== debian/changelog ===
python-apt (0.8.7ubuntu4.1) quantal-proposed; urgency=low

  * Make python{,3}-apt{,-dbg} Multi-Arch: allowed. LP: #1130709.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 22 Feb 2013 08:22:41 +0100
