## python-apt 0.8.8ubuntu5

=== debian/changelog ===
python-apt (0.8.8ubuntu5) raring; urgency=low

  * tests/*.py: Do not prepend None to sys.path, Python 3.3 redeems that with
    an unintelligible crash.
  * tests/test_auth.py: In test_add_key_from_server_mitm(), show the exception
    if it does not match the expectation, so that this becomes possible to
    debug.
  * aptsources/distro.py: Replace the deprecated getiterator() ElementTree
    method with iter(), to avoid raising a PendingDeprecationWarning.
  * tests/test_auth.py: Temporarily disable $http_proxy for the tests, as
    gnupg does not get along with proxies (LP #789049)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Tue, 20 Nov 2012 12:01:08 +0100

python-apt (0.8.8ubuntu4) raring; urgency=low

  * tests/test_apt_cache.py, tests/test_lp659438.py, tests/test_progress.py:
    - Clear out APT::Update::Post-Invoke and
      APT::Update::Post-Invoke-Success in tests that call cache.update to
      avoid pollution from the host system.
  * tests/test_auth.py:
    - Discard stderr from gpg.
    - Try successive keyserver ports if 19191 is already in use.
  * aptsources/distinfo.py, aptsources/distro.py, aptsources/sourceslist.py,
    tests/test_apt_cache.py, tests/test_debfile_multiarch.py:
    - Use logging.warning rather than the deprecated logging.warn.
  * tests/test_debfile_multiarch.py:
    - Don't log warnings when skipping tests; the resulting stderr output
      causes autopkgtest to fail.
  * tests/test_all.py:
    - Write general test status output to stdout, not stderr.
  * tests/test_aptsources.py:
    - Clean up file object in test_enable_component.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 19 Nov 2012 14:17:02 +0000

python-apt (0.8.8ubuntu3) raring; urgency=low

  * tests/test_lp659438.py:
    - Add an Architecture: line to the test Packages file so that apt
      doesn't get upset with it.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 08 Nov 2012 15:03:36 +0000

python-apt (0.8.8ubuntu2) raring; urgency=low

  * data/templates/Ubuntu.info.in:
    - Fix descriptions of quantal and raring.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 07 Nov 2012 13:16:33 +0000

python-apt (0.8.8ubuntu1) raring; urgency=low

  [ Michael Vogt ]
  * merged from the debian-sid branch:
    - do not build-depend on python-unittest2, only needed for python2.6
  * merged from the debian-experimental branch
  * python/tag.cc:
    - make TagSecString_FromStringAndSize, TagSecString_FromString
      static, thanks to jcristau
  * python/cache.cc:
    - add "Codename" to PackageFile object
  * add dep8 style autopkgtest support
  * build fixes for python3.3
  * data/templates/Ubuntu.info.in:
    - add raring
  
  [ Jason Conti ]
  * lp:~jconti/python-apt/closeable-cache:
    - add apt.Cache.close() method

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 23 Oct 2012 12:58:13 +0200
  

python-apt (0.8.8) unstable; urgency=low

  [ Program translation updates ]
  * po/pl.po: Polish (Michał Kułach) (closes: #684308)
  * po/da.po: Danish (Joe Hansen) (closes: #689827)

  [ Michael Vogt ]
  * merged lp:~sampo555/python-apt/fix_1042916 reuse existing but
    disabled sources.list entries instead of duplicating them.
    Thanks to "sampo555", LP: #1042916
  * consolidate tests/test_lp1030278.py into the new 
    tests/test_size_to_str.py
  * apt/auth.py:
    - support importing long keyids with leading 0x and mixed case
  * debian/control:
    - build-depend on python-unittest2 to get "with TestCase.assertRaises"
      support in python2.6

  [ Barry Warsaw ]
  * python/string.cc, tests/test_lp1030278.py: Fix StrSizeToStr() so that
    1) it first checks for PyLong-ness so that in Python 3 on i386, it
    will be able to convert larger numbers (via doubles rather than ints);
    2) before doing the conversions through the apt API, check to see if a
    Python exception occurred, e.g. OverflowError, and return an error
    condition in that case instead of masking it.  (LP: #1030278)

  [ James Hunt ]
  * python/cache.cc: PkgCacheGetIsMultiArch(): Return calculated
    value rather than a random one.
  * lp:~jamesodhunt/python-apt/test-for-size_to_str:
    - add test for size_to_str() to help with finding LP: #1030278

 -- Michael Vogt <mvo@debian.org>  Fri, 12 Oct 2012 10:47:11 +0200
