=== debian/control ===
--- 
+++ 
@@ -18,14 +18,15 @@
                python3-all-dbg (>= 3.1.2-6~),
                python-distutils-extra (>= 2.0),
                python-sphinx (>= 0.5),
-               python-debian
+               python-debian,
+	       python-unittest2
 Vcs-Bzr: http://code.launchpad.net/~ubuntu-core-dev/python-apt/ubuntu
 XS-Debian-Vcs-Bzr: http://bzr.debian.org/apt/python-apt/debian-sid
 XS-Debian-Vcs-Browser: http://bzr.debian.org/loggerhead/apt/python-apt/debian-sid/changes
+XS-Testsuite: autopkgtest
 
 Package: python-apt
 Architecture: any
-Multi-Arch: allowed
 Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}, python-apt-common
 Recommends: lsb-release, iso-codes, xz-utils (>= 5.1.1alpha+20120614-1)
 Breaks: packagekit-backend-apt (<= 0.4.8-0ubuntu4),
@@ -89,7 +90,6 @@
 Package: python-apt-dbg
 Priority: extra
 Architecture: any
-Multi-Arch: allowed
 Section: debug
 Depends: python-dbg, python-apt (= ${binary:Version}), ${shlibs:Depends},
          ${misc:Depends}
@@ -132,7 +132,6 @@
 Package: python3-apt
 Priority: optional
 Architecture: any
-Multi-Arch: allowed
 Depends: ${python3:Depends}, ${shlibs:Depends}, ${misc:Depends}, python-apt-common
 Recommends: lsb-release, iso-codes
 Provides: ${python3:Provides}
@@ -155,7 +154,6 @@
 Package: python3-apt-dbg
 Priority: extra
 Architecture: any
-Multi-Arch: allowed
 Section: debug
 Breaks: python-apt (<< 0.7.98+nmu1)
 Replaces: python-apt (<< 0.7.98+nmu1)
