## python-apt 0.8.8ubuntu6

=== debian/changelog ===
python-apt (0.8.8ubuntu6) raring; urgency=low

  * Make python{,3}-apt{,-dbg} Multi-Arch: allowed. LP: #1130709.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 22 Feb 2013 08:57:45 +0100
