=== debian/control ===
--- 
+++ 
@@ -27,6 +27,7 @@
 
 Package: python-apt
 Architecture: any
+Multi-Arch: allowed
 Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}, python-apt-common
 Recommends: lsb-release, iso-codes, xz-utils (>= 5.1.1alpha+20120614-1)
 Breaks: packagekit-backend-apt (<= 0.4.8-0ubuntu4),
@@ -90,6 +91,7 @@
 Package: python-apt-dbg
 Priority: extra
 Architecture: any
+Multi-Arch: allowed
 Section: debug
 Depends: python-dbg, python-apt (= ${binary:Version}), ${shlibs:Depends},
          ${misc:Depends}
@@ -132,6 +134,7 @@
 Package: python3-apt
 Priority: optional
 Architecture: any
+Multi-Arch: allowed
 Depends: ${python3:Depends}, ${shlibs:Depends}, ${misc:Depends}, python-apt-common
 Recommends: lsb-release, iso-codes
 Provides: ${python3:Provides}
@@ -154,6 +157,7 @@
 Package: python3-apt-dbg
 Priority: extra
 Architecture: any
+Multi-Arch: allowed
 Section: debug
 Breaks: python-apt (<< 0.7.98+nmu1)
 Replaces: python-apt (<< 0.7.98+nmu1)
