## python-apt 0.8.8.2

=== debian/changelog ===
python-apt (0.8.8.2) unstable; urgency=low

  [ David Prévot ]
  * po/no.po: Remove useless translation (superseded by nb.po)

  [ Julian Andres Klode ]
  * apt/package.py: Try both filenames for package file lists
    (Closes: #700715)

 -- Julian Andres Klode <jak@debian.org>  Thu, 14 Mar 2013 21:25:25 +0100

python-apt (0.8.8.1) unstable; urgency=low

  * python/tag.cc:
    - make TagSecString_FromStringAndSize, TagSecString_FromString
      static, thanks to jcristau
  * tests/test_lp659438.py:
    - fix missing architecture to make the tests pass again during
      build with the latest apt

 -- Michael Vogt <mvo@debian.org>  Thu, 15 Nov 2012 09:55:24 +0100

python-apt (0.8.4) unstable; urgency=low

  [ Michael Vogt ]
  * doc/examples/build-deps.py:
    - update the build-deps.py example to use the apt API more
  * add support for apt_pkg.Policy.get_priority(PkgFileIterator)
  * apt/debfile.py:
    - use apt_inst for reading the control_filelist
  * debian/control:
    - remove no longer needed dependency on python-debian
  * tests/test_tagfile.py:
    - add test for apt_pkg.TagFile() both for compressed/uncompressed
      files
  * python/tag.cc, tests/test_tagfile.py:
    - add support a filename argument in apt_pkg.TagFile() (in addition
      to the file object currently supported)
  * apt/package.py:
    - if there is no Version.uri return None
  * apt/cache.py:
    - fix _have_multi_arch flag (thanks to Sebastian Heinlein)
  * build against apt 0.9.0

  [Julian Andres Klode ]
  * python/apt_pkgmodule.cc:
    - Fix apt_pkg.Dependency.TYPE_RECOMMENDS, had Suggests value previously

 -- Michael Vogt <mvo@debian.org>  Mon, 16 Apr 2012 19:06:48 +0200

python-apt (0.8.3ubuntu9) UNRELEASED; urgency=low

  [ Steve Langasek ]
  * Don't leak file descriptors.

  [ Colin Watson ]
  * aptsources/*.py, setup.py: Make aptsources modules work directly in
    either Python 2 or 3, and exclude the "future" 2to3 fixer so that 2to3
    doesn't need to modify them.  This makes life a little easier for the
    strange tricks update-manager plays with its dist-upgrader tarball.

 -- Evan Dandrea <ev@ubuntu.com>  Mon, 11 Jun 2012 17:00:37 +0100
