=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: python-apt
 Section: python
 Priority: standard
-Maintainer: Ubuntu Core Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: APT Development Team <deity@lists.debian.org>
+Maintainer: APT Development Team <deity@lists.debian.org>
 Uploaders: Michael Vogt <mvo@debian.org>, Julian Andres Klode <jak@debian.org>
 Standards-Version: 3.9.3
 XS-Python-Version: >= 2.6
@@ -20,16 +19,13 @@
                python-sphinx (>= 0.5),
                python-debian,
 	       python-unittest2
-Vcs-Bzr: http://code.launchpad.net/~ubuntu-core-dev/python-apt/ubuntu
-XS-Debian-Vcs-Bzr: http://bzr.debian.org/apt/python-apt/debian-sid
-XS-Debian-Vcs-Browser: http://bzr.debian.org/loggerhead/apt/python-apt/debian-sid/changes
-XS-Testsuite: autopkgtest
+Vcs-Bzr: http://bzr.debian.org/apt/python-apt/debian-sid
+Vcs-Browser: http://bzr.debian.org/loggerhead/apt/python-apt/debian-sid/changes
 
 Package: python-apt
 Architecture: any
-Multi-Arch: allowed
 Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}, python-apt-common
-Recommends: lsb-release, iso-codes, xz-utils (>= 5.1.1alpha+20120614-1)
+Recommends: lsb-release, iso-codes, xz-utils
 Breaks: packagekit-backend-apt (<= 0.4.8-0ubuntu4),
         computer-janitor (<< 1.14.1-1+),
         debdelta (<< 0.41+),
@@ -91,7 +87,6 @@
 Package: python-apt-dbg
 Priority: extra
 Architecture: any
-Multi-Arch: allowed
 Section: debug
 Depends: python-dbg, python-apt (= ${binary:Version}), ${shlibs:Depends},
          ${misc:Depends}
@@ -134,7 +129,6 @@
 Package: python3-apt
 Priority: optional
 Architecture: any
-Multi-Arch: allowed
 Depends: ${python3:Depends}, ${shlibs:Depends}, ${misc:Depends}, python-apt-common
 Recommends: lsb-release, iso-codes
 Provides: ${python3:Provides}
@@ -157,7 +151,6 @@
 Package: python3-apt-dbg
 Priority: extra
 Architecture: any
-Multi-Arch: allowed
 Section: debug
 Breaks: python-apt (<< 0.7.98+nmu1)
 Replaces: python-apt (<< 0.7.98+nmu1)
