=== debian/rules ===
#!/usr/bin/make -f
# Should be include-links, but that somehow fails.
export DEBVER=$(shell dpkg-parsechangelog | sed -n -e 's/^Version: //p')
# For compatibility, add -DCOMPAT_0_7
export CFLAGS=-Wno-write-strings
export PATH := $(CURDIR)/utils:$(PATH)
export pyversions := $(CURDIR)/utils/pyversions

%:
	dh --with python2,python3 $@

override_dh_auto_build:
	dh_auto_build

override_dh_install:
	dh_movefiles
	dh_install

override_dh_installdocs:
	set -e; if [ -z $(filter -a,$(DH_INTERNAL_OPTIONS)) ]; then \
		python setup.py build_sphinx; \
		dh_installdirs -ppython-apt-doc usr/share/doc/python-apt; \
	fi
	dh_installdirs -ppython-apt-dev usr/share/doc/python-apt
	dh_installdocs -Npython-apt-common -Npython3-apt -Npython3-apt-dbg --link-doc=python-apt
	dh_installdocs -p python3-apt -p python3-apt-dbg --link-doc=python3-apt
	dh_installdocs -p python-apt-common

override_dh_strip:
	dh_strip -p python-apt --dbg-package=python-apt-dbg
	dh_strip -p python3-apt --dbg-package=python3-apt-dbg
	
override_dh_compress:
	dh_compress -X.js -X_static/* -X _sources/* -X_sources/*/* -X.inv

# We ignore failures on hurd, since its locking is broken
override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	set -e; for python in $(shell $(pyversions) -r); do \
		$$python tests/test_all.py -q || [ "$(DEB_BUILD_ARCH_OS)" = "hurd" ]; \
	done;
else
	@echo "** tests disabled"
endif

override_dh_python2:
	dh_python2 -N python-apt-common
