=== debian/control ===
--- 
+++ 
@@ -21,6 +21,7 @@
 	       python-unittest2
 Vcs-Bzr: http://bzr.debian.org/apt/python-apt/debian-sid
 Vcs-Browser: http://bzr.debian.org/loggerhead/apt/python-apt/debian-sid/changes
+XS-Testsuite: autopkgtest
 
 Package: python-apt
 Architecture: any
