## python-apt 0.8.9.1ubuntu1

=== debian/changelog ===
python-apt (0.8.9.1ubuntu1) saucy; urgency=low

  * Merge from debian unstable. Remaining changes:
    - add "saucy" to data/templates/Ubuntu.info.in
    - mark packages as Multi-Arch: allowed.

 -- Jackson Doak <noskcaj@ubuntu.com>  Tue, 13 Aug 2013 08:02:10 +1000

python-apt (0.8.9.1) unstable; urgency=low

  [ Michael Vogt ]
  * debian/control:
    - updated Vcs field to point to 
      http://git.debian.org/git/apt/python-apt.git
  * replace .bzr-builddeb/default.conf with debian/gbp.conf

  [ Julian Andres Klode ]
  * Update the Vcs fields to use Vcs-Git with git protocol, and gitweb
    for Vcs-Browser
  
  [ Colin Watson ]
  * add support for "key in apt.debfile.DebPackage" (closes: #710541)

 -- Michael Vogt <mvo@debian.org>  Thu, 06 Jun 2013 18:32:14 +0200

python-apt (0.8.8.2ubuntu1) saucy; urgency=low

  * aptsources/distro.py:
    - include the missing ID in the NoDistroTemplateException() error,
      thanks to Brian Murray
  * data/templates/Ubuntu.info.in:
    - add "saucy"

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 30 Apr 2013 18:47:46 +0200
