=== debian/tests/control ===
Tests: run-tests
Depends: @, apt-utils, python-debian, fakeroot, intltool
