## python-apt 0.9.3.5

=== debian/changelog ===
python-apt (0.9.3.5) unstable; urgency=medium

  * utils/get_ubuntu_mirrors.py: Drop, its unused and broken
  * doc/source/conf.py: Do not use 'u' and 'r' prefixes together
  * tests: Drop some more Python 2.6 cruft
  * debian/control: Drop X{B,S}-Python-Version and use X-Python-Version
  * debian/pycompat: Drop, it's not used anymore
  * python/tag.cc: Ignore missing 'encoding' attribute in file objects
  * apt/package.py: Do not shadow _

 -- Julian Andres Klode <jak@debian.org>  Wed, 02 Apr 2014 00:37:27 +0200

python-apt (0.9.3.4) unstable; urgency=medium

  * python/progress.cc: Fix InstallProgress to set child_pid (LP: #1177720)
  * python/progress.cc: Remove invalid checks for mixedCase methods
  * utils/get_*_mirrors*.py: Ensure failure if no mirrors were read
  * utils/get_*_mirrors*.py: Use sys.stderr.write instead of print
  * Support all compressors for data.tar/control.tar (Closes: #718330)
  * Revert "aptsources/sourceslist.py: ensure that our sources are opened with UTF-8"
    (Closes: #742118)

 -- Julian Andres Klode <jak@debian.org>  Thu, 20 Mar 2014 16:48:12 +0100

python-apt (0.9.3.3) unstable; urgency=medium

  [ Steve Langasek ]
  * aptsources/sourceslist.py: ensure that our sources are opened with UTF-8
    encoding, regardless of the current locale, and handle the sources lines
    as Unicode internally for consistency between python2 and python3.
    LP: #1069019.

  [ Brian Murray ]
  * Fix pep8 error.

 -- Julian Andres Klode <jak@debian.org>  Sat, 15 Mar 2014 18:53:58 +0100

python-apt (0.9.3.2) unstable; urgency=high

  * Revert "* apt/cache.py:" (rootdir change) (Closes: #741251) (LP: #1288171)

    We cannot reset the configuration when rootdir is specified in
    apt.Cache(). This reopens: #728274.

 -- Julian Andres Klode <jak@debian.org>  Mon, 10 Mar 2014 14:32:53 +0100

python-apt (0.9.3.1) unstable; urgency=medium

  * debian/rules: Do not run dh_sphinxdoc -a

 -- Julian Andres Klode <jak@debian.org>  Sat, 22 Feb 2014 20:33:06 +0100

python-apt (0.9.3) unstable; urgency=medium

  * doc/source/conf.py: Python 3 support
  * debian/rules: Use dh_sphinxdoc integration
  * utils/doclint.py: Drop, not working anymore.
  * python/generic.h: Fix MkPyNumber to work if char is unsigned.
  * data: Add Tanglu distribution information
  * debian/python3-apt-dbg.files: Fix pattern for kFreeBSD
  * tests/test_policy.py: Disable, uses system state (FTBFS on ppc64)
  * tests/data/aptsources/sources.list.testDistribution: Add tanglu
  * tests/test_policy.py: Fix comment to conform to PEP8

 -- Julian Andres Klode <jak@debian.org>  Sat, 22 Feb 2014 19:05:48 +0100

python-apt (0.9.2) unstable; urgency=medium

  [ Michael Vogt ]
  * apt/cache.py:
    - when using apt.Cache(rootdir=/some/dir) only read the APT
      configuration from this rootdir instead of /etc (closes: #728274)
  * make pep8 test part of the unittests
  * add pyflakes test
  * add .travis.yml & update python3 dependency to 3.3

  [ Barry Warsaw ]
  * debian/tests/control: Add python-all and python3-all as Depends for the
    autopkgtests so all the supported Python versions are pulled in.
    (closes: #734500)

  [ Michael Schaller]
  * apt/cache.py:
    - Fixed PEP8 issues
    - Fixed pyflakes issue: Removed unused local variable 'transient'
  * apt/package.py:
    - Fixed PEP8 issues
    - Fixed pyflakes issue: Removed unused import 'warnings'
    - Improved readability and documentation of BaseDependency.__dstr().

  [ Julian Andres Klode ]
  * apt/cache.py: Call os.path.abspath() on a supplied rootdir (LP: #792295)
  * apt/package.py: Fix BaseDependency.__dstr.__ne__()
  * apt/package.py: Pass an apt_pkg.Dependency to BaseDependency
  * tests: Add back test_hashsums from old and update
  * Style fixes:
    - Style fix: Do not use "is True" / "is False"
    - debian/control: Replace a tab with spaces
    - tests/test_deps.py: Remove an invalid blank line
  * Use a single code base for Python 2 and 3
    - Use print_function everywhere
    - Drop support for Python 2.6
    - tests: Remove checks for Python older than 2.7
  * Documentation fixes:
    - apt, doc: Fix the list of comp_type values
    - Unify list of comparison type values everywhere
  * Static analysis fixes:
    - (cppcheck) python/pkgmanager.cc: Do not create temporary CppPyRef
  * Packaging changes:
    - debian/README.source: Drop it, it's useless bzr
    - debian/gbp.conf: Set sign-tags = True
    - debian/control: Set Standards-Version to 3.9.5
    - debian/control: Drop python-{unittest2,debian} build deps

 -- Julian Andres Klode <jak@debian.org>  Sat, 25 Jan 2014 18:18:38 +0100

python-apt (0.9.1) unstable; urgency=low

  * data/templates/Ubuntu.info.in: It's 'Tahr', not 'Thar'
  * data/templates/Debian.info.in: Add jessie
  * data/templates/Debian.info.in: Change wheezy version from 7.0 to 7
  * python/*.cc: Get rid of the easy-to-replace deprecated APT functions
  * python/{depcache.cc,string.cc}: Ignore deprecation warnings for some calls
  * python/depcache.cc: Add more error handling to PkgDepCacheCommit
  * python/cache.cc: Remove a check for an unsigned long value < 0
  * python/arfile.cc: (C++11) Explicitly cast unsigned long to time_t in {}
  * python/apt_instmodule.cc: Make RETURN(x) be return on Python 2
  * python/policy.cc: (scan-build): Fix a dead assignment
  * python/progress.cc: (scan-build): Fix some uninitialized values
  * debian: Upgrade to debhelper 9 (and dpkg-buildflags)
  * debian/python-apt-doc.links: Replace bundled underscore.js by symlink
  * po: Update the template

 -- Julian Andres Klode <jak@debian.org>  Wed, 23 Oct 2013 20:32:40 +0200

python-apt (0.9.0) unstable; urgency=low

  [ Michael Vogt ]
  * some fixes from the "coverity" scan
  * merge from Ubuntu:
    - data/templates/Ubuntu.info.in: add "Saucy Salamander" to 
    - debian/control: add "Multi-Arch: allowed"

  [ Julian Andres Klode ]
  * Completely remove all old-API support code
  * Accept bytes object for file names (Closes: #680971)

