=== debian/control ===
--- 
+++ 
@@ -1,25 +1,24 @@
 Source: python-apt
 Section: python
 Priority: standard
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: APT Development Team <deity@lists.debian.org>
+Maintainer: APT Development Team <deity@lists.debian.org>
 Uploaders: Michael Vogt <mvo@debian.org>, Julian Andres Klode <jak@debian.org>
-Standards-Version: 3.9.3
-XS-Python-Version: >= 2.6
-X-Python3-Version: >= 3.1
+Standards-Version: 3.9.5
+X-Python-Version: >= 2.7
+X-Python3-Version: >= 3.3
 Build-Depends: apt (>= 0.9.6),
                apt-utils,
-               debhelper (>= 7.3.5),
+               debhelper (>= 9),
                fakeroot,
                libapt-pkg-dev (>= 0.8.11),
-               python-all-dev (>= 2.6.6-3~),
+               python-all-dev (>= 2.7),
                python-all-dbg,
-               python3-all-dev (>= 3.1.2-10~),
-               python3-all-dbg (>= 3.1.2-6~),
+               python3-all-dev (>= 3.3),
+               python3-all-dbg (>= 3.3),
                python-distutils-extra (>= 2.0),
                python-sphinx (>= 0.5),
-               python-debian,
-	       python-unittest2
+               pep8,
+               pyflakes
 Vcs-Git: git://anonscm.debian.org/apt/python-apt.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=apt/python-apt.git
 XS-Testsuite: autopkgtest
@@ -59,7 +58,6 @@
         wajig (<< 2.0.46)
 Provides: ${python:Provides}
 Suggests: python-apt-dbg, python-gtk2, python-vte, python-apt-doc
-XB-Python-Version: ${python:Versions}
 Description: Python interface to libapt-pkg
  The apt_pkg Python interface will provide full access to the internal
  libapt-pkg structures allowing Python programs to easily perform a
@@ -77,7 +75,7 @@
 Priority: optional
 Architecture: all
 Section: doc
-Depends: libjs-jquery, ${misc:Depends}
+Depends: libjs-jquery, libjs-underscore, ${misc:Depends}, ${sphinxdoc:Depends}
 Enhances: python-apt
 Replaces: python-apt (<< 0.7.94)
 Description: Python interface to libapt-pkg (API documentation)
@@ -94,7 +92,6 @@
 Section: debug
 Depends: python-dbg, python-apt (= ${binary:Version}), ${shlibs:Depends},
          ${misc:Depends}
-XB-Python-Version: ${python:Versions}
 Description: Python interface to libapt-pkg (debug extension)
  The apt_pkg Python interface will provide full access to the internal
  libapt-pkg structures allowing Python programs to easily perform a
