## python-apt 0.9.3.5ubuntu3

=== debian/changelog ===
python-apt (0.9.3.5ubuntu3) trusty-proposed; urgency=medium

  * DepCache: Check that candidate we are setting belongs to package
  * Raise CacheMismatchError if objects passed to DepCache are from different cache
    (LP: #1737441); also includes the following regression fixes from bionic:
    - apt.Cache: Remap objects when reopening cache (LP: 1773316 in bionic+), incl. regression fixes:
      + Add more extensive test cases for cache remapping
      + Regression fix: Do not override __hash__ in apt.package.Package (LP: 1780099 in bionic+)
  * CI / pre-build / data changes:
    - Replace broken travis CI integration with current docker-based one
    - utils/get_debian_mirrors.py: Get data from salsa (for pre-build hook)
    - debian/control: Point to salsa instead of anonscm
    - debian/gbp.conf: Point to ubuntu/trusty branch
    - Updated mirror list

 -- Julian Andres Klode <juliank@ubuntu.com>  Tue, 10 Jul 2018 16:59:07 +0200

python-apt (0.9.3.5ubuntu2) trusty-proposed; urgency=medium

  * Do not only look at Release files, but look at InRelease files as well.
    Change the code to open Release and InRelease files with
    apt_pkg.open_maybe_clear_signed_file() which will ignore the signature if
    it exists. (LP: #1503979)
  * tests/test_auth.py: update for gnupg 1.4.18 (Closes: #755342)

 -- Brian Murray <brian@ubuntu.com>  Wed, 02 Dec 2015 10:51:58 -0800

python-apt (0.9.3.5ubuntu1) trusty-proposed; urgency=medium

  * Rebuild to get updated mirror files. (LP: #1397578)

 -- Brian Murray <brian@ubuntu.com>  Tue, 06 Jan 2015 16:47:11 -0800
