=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: python-apt
 Section: python
 Priority: standard
-Maintainer: APT Development Team <deity@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: APT Development Team <deity@lists.debian.org>
 Uploaders: Michael Vogt <mvo@debian.org>, Julian Andres Klode <jak@debian.org>
 Standards-Version: 3.9.5
 X-Python-Version: >= 2.7
@@ -19,8 +20,8 @@
                python-sphinx (>= 0.5),
                pep8,
                pyflakes
-Vcs-Git: git://anonscm.debian.org/apt/python-apt.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=apt/python-apt.git
+Vcs-Git: https://salsa.debian.org/apt-team/python-apt.git
+Vcs-Browser: https://salsa.debian.org/apt-team/python-apt
 XS-Testsuite: autopkgtest
 
 Package: python-apt
