=== debian/rules ===
--- 
+++ 
@@ -1,13 +1,12 @@
 #!/usr/bin/make -f
 # Should be include-links, but that somehow fails.
 export DEBVER=$(shell dpkg-parsechangelog | sed -n -e 's/^Version: //p')
-# For compatibility, add -DCOMPAT_0_7
-export CFLAGS=-Wno-write-strings
+export DEB_CFLAGS_MAINT_APPEND=-Wno-write-strings
 export PATH := $(CURDIR)/utils:$(PATH)
 export pyversions := $(CURDIR)/utils/pyversions
 
 %:
-	dh --with python2,python3 $@
+	dh $@ --with python2,python3,sphinxdoc
 
 override_dh_auto_build:
 	dh_auto_build
@@ -15,6 +14,11 @@
 override_dh_install:
 	dh_movefiles
 	dh_install
+
+override_dh_sphinxdoc:
+	set -e; if [ -z $(filter -a,$(DH_INTERNAL_OPTIONS)) ]; then \
+		dh_sphinxdoc; \
+	fi
 
 override_dh_installdocs:
 	set -e; if [ -z $(filter -a,$(DH_INTERNAL_OPTIONS)) ]; then \
