## python-apt 0.9.3.5ubuntu3+esm4

=== debian/changelog ===
python-apt (0.9.3.5ubuntu3+esm4) trusty-security; urgency=medium

  [ Julian Andres Klode ]
  * SECURITY UPDATE: various memory and file descriptor leaks (LP: #1899193)
    - python/arfile.cc, python/generic.h, python/tag.cc, python/tarfile.cc:
      fix file descriptor and memory leaks
    - python/apt_instmodule.cc, python/apt_instmodule.h, python/arfile.h:
      Avoid reference cycle with control,data members in apt_inst.DebFile
      objects
    - tests/test_cve_2020_27351.py: Test cases for DebFile (others not easily
      testable)
    - CVE-2020-27351
  * data/templates: Update mirror lists

 -- Leonidas Da Silva Barbosa <leo.barbosa@canonical.com>  Wed, 06 Jan 2021 14:36:11 -0300

python-apt (0.9.3.5ubuntu3+esm2) trusty-security; urgency=medium

  * SECURITY UPDATE: Check that repository is trusted before downloading
    files from it (LP: #1858973)
    - apt/cache.py: Add checks to fetch_archives() and commit()
    - apt/package.py: Add checks to fetch_binary() and fetch_source()
    - CVE-2019-15796
  * SECURITY UPDATE: Do not use MD5 for verifying downloadeds
    (Closes: #944696) (#LP: #1858972)
    - apt/package.py: Use strongest hashes when fetching packages. Packages
      without a trusted hash are still accepted.
    - CVE-2019-15795
  * To work around the new checks, the parameter allow_unauthenticated=True
    can be passed to the functions. It defaults to the value of the
    APT::Get::AllowUnauthenticated option.
    - Bump Breaks aptdaemon (<< 1.1.1-1ubuntu5.2+esm1), as it will have
      to set that parameter after having done validation.
  * Automatic changes and fixes for external regressions:
    - Adjustments to test suite and CI to fix CI regressions
    - Automatic mirror list update
  * Make allow_unauthenticated argument to fetch_archives() optional
    - apt/cache.py

 -- Julian Andres Klode <juliank@ubuntu.com>  Wed, 15 Jan 2020 17:50:34 +0100
